Connect Auth
This endpoint allows you to connect your auth account to a Snag account
GET
This endpoint allows you to connect your auth account to a Snag account
Loading code example
Loading code example
Authorizations
apiKeyAuthstringheaderrequired
API key passed in the header.
Path Parameters
authType"twitter" | "discord" | "telegram" | "epic" | "steam" | "ultra" | "google" | "tiktok" | "email" | "reddit" | "instagram" | "github"required
Allowed values:
"twitter" | "discord" | "telegram" | "epic" | "steam" | "ultra" | "google" | "tiktok" | "email" | "reddit" | "instagram" | "github"Query Parameters
websiteIdstring<uuid>
The ID of the website
userIdstring<uuid>
The ID of the user
walletAddressstring
The wallet address of the user
redirectstring
The redirect URL where the user will land after completing the auth
responseType"redirect" | "json"default: redirect
The type of response to return, this is not valid for email auth, email auth only supports the redirect flow via verification link.
Allowed values:
"redirect" | "json"Default:
"redirect"skipYTChannelCheckstringdefault: true
Whether to skip the YouTube channel check, this is only value for google auth
Default:
"true"emailAddressstring<email>
The email address of the user, this is only required for email auth
Response
application/json
200
urlstring<uri>requiredThe URL to redirect to.